from cubicweb.selectors import implements, score_entity
from cubicweb.sobjects.notification import NotificationView, StatusChangeMixIn

class BlogEntryPublishedView(StatusChangeMixIn, NotificationView):
    """get notified from published blogs"""
    __select__ = (implements('BlogEntry',)
                  & score_entity(lambda x: x.latest_trinfo().new_state.name == 'published')
                  )
    content_attr = 'content'

    def subject(self):
        entity = self.cw_rset.get_entity(0, 0)
        return '[%s] %s' % (self._cw.vreg.config.appid, entity.dc_title())
